/* This file is part of the KDE project
   Copyright (C) 2006 KovoKs <info@kovoks.nl>

   Original copied from showfoto:
    Copyright 2005 by Gilles Caulier <caulier.gilles@free.fr>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

#ifndef SETUPACCOUNT_H
#define SETUPACCOUNT_H

namespace Mailody {

class SetupAccountPriv;

/**
 * @class SetupAccount
 * These contain the account settings
 * This file is originally copied from showfoto
 * @author Gilles Caulier <caulier.gilles@free.fr>
 * @author Tom Albers <tomalbers@kde.nl>
 */

class SetupAccount : public QWidget
{
//    Q_OBJECT

public:

    /**
     * Constructor
     * @param parent Parent Widget
     */
    SetupAccount(QWidget* parent = 0);

    /**
     * Destructor
     */
    ~SetupAccount();

    /**
     * Call this if you want the settings saved from this page.
     */
    void applySettings();

private:
    void readSettings();
    SetupAccountPriv     *d;
};

}

#endif
